package cn.com.qmth.examcloud.core.basic.api.client;

import cn.com.qmth.examcloud.core.basic.api.CryptoConfigCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.CheckCryptoConfigReq;
import cn.com.qmth.examcloud.core.basic.api.response.CheckCryptoConfigResp;
import org.springframework.stereotype.Service;

@Service
public class CryptoConfigCloudServiceClient extends AbstractCloudClientSupport implements CryptoConfigCloudService {

    private static final long serialVersionUID = 1L;

    @Override
    public CheckCryptoConfigResp checkCryptoConfig(CheckCryptoConfigReq req) {
        return post("crypto/config/check", req, CheckCryptoConfigResp.class);
    }

}
