package cn.com.qmth.examcloud.core.oe.admin.api.bean;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

public class MarkResultScoreBean implements JsonSerializable {

    private static final long serialVersionUID = 924992581438407411L;

    @NotNull(message = "score不能为空")
    private Double score;

    @NotNull(message = "orders不能为空")
    private Integer orders;

    @NotBlank(message = "questionId不能为空")
    private String questionId;

    @NotNull(message = "mainNumber不能为空")
    private Integer mainNumber;

    @NotNull(message = "subNumber不能为空")
    private Integer subNumber;

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Integer getOrders() {
        return orders;
    }

    public void setOrders(Integer orders) {
        this.orders = orders;
    }

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }

    public Integer getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(Integer subNumber) {
        this.subNumber = subNumber;
    }

}
