package cn.com.qmth.examcloud.exchange.outer.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description 获取主观题试卷结构请求类
 * @Author lideyin
 * @Date 2020/3/30 15:24
 * @Version 1.0
 */
public class OuterGetSubjectivePaperStructReq extends EnterpriseRequest {

	private static final long serialVersionUID = 8892205616387684966L;

	@ApiModelProperty(value = "考试ID", example = "128", required = true)
	private Long examId;

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}
}
