package cn.com.qmth.examcloud.exchange.outer.api.response;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseResponse;
import io.swagger.annotations.ApiModelProperty;

public class OuterQueryFinalScoreDataResp extends EnterpriseResponse {

    private static final long serialVersionUID = 7651693026235437061L;

    @ApiModelProperty(value = "学生姓名", example = "张三")
    private String studentName;

    @ApiModelProperty(value = "证件号", example = "123456789123456789X")
    private String identityNumber;

    @ApiModelProperty(value = "学号", example = "S123456789")
    private String studentCode;

    @ApiModelProperty(value = "考试课程代码", example = "c101")
    private String courseCode;

    @ApiModelProperty(value = "考试课程名称", example = "C语言")
    private String courseName;

    @ApiModelProperty(value = "得分", example = "100.0")
    private Double totalScore;

    @ApiModelProperty(value = "是否缺考", example = "false")
    private Boolean absent;

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Boolean getAbsent() {
        return absent;
    }

    public void setAbsent(Boolean absent) {
        this.absent = absent;
    }

}
