package cn.com.qmth.examcloud.ws.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.ws.api.WsCloudService;
import cn.com.qmth.examcloud.ws.api.request.SendTextReq;
import cn.com.qmth.examcloud.ws.api.response.SendTextResp;

@Service
public class WsCloudServiceClient extends AbstractCloudClientSupport implements WsCloudService {

	private static final long serialVersionUID = -8387018981246171337L;

	@Override
	public SendTextResp sendText(SendTextReq req) {
		return post("api/cloud/ws/sendText", req, SendTextResp.class);
	}

}
