package cn.com.qmth.examcloud.core.basic.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.core.basic.api.request.*;
import cn.com.qmth.examcloud.core.basic.api.response.*;

/**
 * 机构服务
 *
 * @author chenken
 * @date 2018年5月4日 下午3:27:55
 * @company QMTH
 */
public interface OrgCloudService extends CloudService {

    GetOrgResp getOrg(GetOrgReq req);

    SaveOrgResp saveOrg(SaveOrgReq orgReq);

    GetOrgsByIdListResp getOrgsByIdList(GetOrgsByIdListReq req);

    GetOrgsResp getOrgs(GetOrgsReq req);

    GetOrgMapsResp getOrgMaps(GetOrgMapsReq req);

}
