package cn.com.qmth.examcloud.exchange.outer.api.response;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseResponse;
import cn.com.qmth.examcloud.exchange.outer.api.bean.ExamStudentStatus4BatchBean;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2019年1月8日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class OuterBatchSaveExamStudentResp extends EnterpriseResponse {

    private static final long serialVersionUID = -3390197586494583825L;

    @ApiModelProperty(value = "保存成功集合")
    private List<ExamStudentStatus4BatchBean> successList;

    @ApiModelProperty(value = "保存失败集合")
    private List<ExamStudentStatus4BatchBean> failureList;

    public List<ExamStudentStatus4BatchBean> getSuccessList() {
        return successList;
    }

    public void setSuccessList(List<ExamStudentStatus4BatchBean> successList) {
        this.successList = successList;
    }

    public List<ExamStudentStatus4BatchBean> getFailureList() {
        return failureList;
    }

    public void setFailureList(List<ExamStudentStatus4BatchBean> failureList) {
        this.failureList = failureList;
    }

}
