package cn.com.qmth.examcloud.exchange.outer.api.response;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseResponse;
import cn.com.qmth.examcloud.exchange.outer.api.bean.OuterScoreDataBean;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class OuterQueryScoreListResp extends EnterpriseResponse {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "考生成绩数据集合")
    private List<OuterScoreDataBean> scoreList;

    @ApiModelProperty(value = "总条数")
    private long totalElements;

    @ApiModelProperty(value = "总页数")
    private int totalPages;

    public List<OuterScoreDataBean> getScoreList() {
        return scoreList;
    }

    public void setScoreList(List<OuterScoreDataBean> scoreList) {
        this.scoreList = scoreList;
    }

    public long getTotalElements() {
        return totalElements;
    }

    public void setTotalElements(long totalElements) {
        this.totalElements = totalElements;
    }

    public int getTotalPages() {
        return totalPages;
    }

    public void setTotalPages(int totalPages) {
        this.totalPages = totalPages;
    }

}
